# TecIO

![pypi](https://img.shields.io/pypi/v/tecio.svg?logo=python&logoColor=white) ![GitHub Tag](https://img.shields.io/github/v/tag/luohancfd/tecio?color=green)
![python](https://img.shields.io/badge/python>=3.9-blue.svg) ![GitHub License](https://img.shields.io/github/license/luohancfd/tecio)


## Introduction
TecIO is a pure Python package licensed under GPL v3, created by Han Luo, designed to facilitate the reading and writing of data files in the Tecplot format. Please note that Tecplot is a registered trademark belonging to Tecplot, Inc. This package is not affiliated with or endorsed by Tecplot, Inc.

TecIO is written entirely in Python and does not require the installation of Tecplot or possession of a Tecplot license. However, you need to have [preplot](https://tecplot.com/2017/01/05/preplot-szl-convert-overview/) to read ASCII format file.

## Installation
You can install TecIO using pip:
```bash
pip install tecio
```

## Dependencies
TecIO depends on the following Python packages:
- [NumPy](https://numpy.org/): For efficient numerical operations.
- [Construct](https://construct.readthedocs.io/): For parsing and building binary data structures.

These dependencies will be automatically installed when installing TecIO.

## Usage
Check `test` folder

## License
TecIO is licensed under the GPL v3 license. See [LICENSE](LICENSE) for more details.

## Disclaimer
Tecplot is a registered trademark of Tecplot, Inc. This package is not affiliated with or endorsed by Tecplot, Inc.

## Support and Contributions
For any issues or feature requests, please open an issue on [GitHub](https://github.com/luohancfd/tecio).

Contributions are welcome! Feel free to fork the repository and submit pull requests.
